%define subrel 1
%define Werror_cflags %{nil}
# rpath needed e.g. for /usr/libexec/RemoteZynAddSubFx
%global _cmake_skip_rpath %{nil}

Summary:	Linux MultiMedia Studio
Name:		lmms
Version:	0.4.13
Release:	%mkrel 3
Group:		Sound
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		lmms-0.4.13-libexecdir.patch
Patch1:		lmms-0.4.13-vst-nowine.patch
Patch2:         lmms-0.4.13-system-fltk.patch
Patch3:		lmms-0.4.13-gcc47.patch
BuildRequires:	libSDL-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libfftw-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	libxft-devel
BuildRequires:	libxinerama-devel
BuildRequires:  fltk-devel
BuildRequires:	icoutils

%description
LMMS aims to be a free alternative to popular (but commercial and
closed- source) programs like FruityLoops/FL Studio, Cubase and Logic
allowing you to produce music with your computer.This includes
creation of loops, synthesizing and mixing sounds, arranging samples,
having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern,
user-friendly and easy to use graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:	Development package for %{name}
Group:		Development/C

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%patch0 -p1 -b .libexecdir
%patch1 -p1 -b .nowine
%patch2 -p1 -b .fltk
%patch3 -p1 -b .gcc47

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake \
       -DWANT_SDL:BOOL=OFF \
       -DWANT_PORTAUDIO:BOOL=OFF \
       -DWANT_CAPS:BOOL=ON \
       -DWANT_TAP:BOOL=ON \
       -DWANT_SWH:BOOL=ON \
       -DWANT_CALF:BOOL=ON \
%ifarch %ix86
       -DWANT_VST:BOOL=ON \
%else
       -DWANT_VST:BOOL=OFF \
%endif
%ifarch x86_64
       -DWANT_VST_NOWINE:BOOL=ON \
%endif
       -DCMAKE_INSTALL_LIBDIR=%{_lib} \
       -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
       ../
%make VERBOSE=1

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,128x128,256x256}/apps
icotool -x -p 0 data/%{name}.ico
mv %{name}_*_32x32*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
mv %{name}_*_128x128*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/128x128/apps/%{name}.png
mv %{name}_*_256x256*.png %{name}.png
install -m 644 %{name}.png %buildroot%_iconsdir/hicolor/256x256/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

%files
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libexecdir}/RemoteZynAddSubFx
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/lmms.png

%files devel
%{_includedir}/lmms


%changelog

* Thu Jul 12 2012 dams <dams> 0.4.13-3.1.mga2
+ Revision: 270422
- Fix compilation flags to enable back ladspa (mga#6466)
- add patchs from fedora to fix mga#6466
- add 'fltk-devel' as BuildRequires
- update icon for a better render
- fix broken path for /usr/lib/lmms/*.so modules

* Mon Feb 06 2012 dams <dams> 0.4.13-1.mga2
+ Revision: 205607
- new version 0.4.13

* Sat Dec 10 2011 eatdirt <eatdirt> 0.4.12-2.mga2
+ Revision: 180396
- Rebuilt for fftw-3.3

* Thu Sep 08 2011 tv <tv> 0.4.12-1.mga2
+ Revision: 141154
- new release

* Thu Jun 16 2011 dams <dams> 0.4.11-1.mga2
+ Revision: 108007
- update to 0.4.11
- drop patch2

* Thu Mar 31 2011 dams <dams> 0.4.10-1.mga1
+ Revision: 79272
- Update patch
- Import, clean and update to 0.4.10
- imported package lmms


* Sun Aug 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2010.1
+ Revision: 567599
- add buildrequires on libxinerama-devel
- update to new version 0.4.7
- drop patch 0
- update file list

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.1
+ Revision: 485173
- Update to new version 0.4.6
- Disable -Werror=format-security CFLAG

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 415765
- Update to new version 0.4.5
- Remove literal patch integrated upstream

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 372314
- Add libxft-devel BuildRequires
- Udate to new version 0.4.4
- Update format-security patch

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 370739
- add libdir patch from fedora

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 344469
- update to new version 0.4.3

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2-2mdv2009.1
+ Revision: 316852
- oops, typo
- ok, ok, so it doesn't build with underlinking protection
- add literal.patch: fix string literal problems
- it builds fine with underlinking and Werror

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 316808
- update to new version 0.4.2
- LMMS uses now cmake to build
 add buildrequiresd on libsndfile-devel, libfftw-devel, pulseaudio-devel, libfluidsynth-devel
- Patch0: rediff
- drop patch1, use sed to correct path for LADSPA plugins
- use _disable_ld_no_undefined and Werror_cflags (too much effort to fix this)
- add devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 187506
- new version
- better summary and description
- enable high quality sinc-resampling

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-5mdv2008.1
+ Revision: 175973
- Fix icon macros

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-4mdv2008.1
+ Revision: 175955
- Try to fix plugin loading (Bug #38210)

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-3mdv2008.1
+ Revision: 175125
- fix bug #37629

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix spacing at top of description

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 137843
- drop redundant buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- fix wrong plugin path on x86_64 arch (bug #31038)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 111080
- new version
- new license policy
- do not package COPYING file, add AUTHORS instead

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 79715
- Reuse qtmagic for configure :(
- add mime type for KDE
- add missing files
- build without vts
- New version 0.3.0
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - replace %%_datadir/man by %%_mandir!


* Sat Aug 26 2006 Couriousous <couriousous@mandriva.org> 0.2.1-2mdv2007.0
- Fix menu

* Fri Aug 25 2006 Couriousous <couriousous@mandriva.org> 0.2.1-1mdv2007.0
- 0.2.1
- XDG

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.1.1-1mdk
- 0.1.1
- fix x86_64 build

* Thu Jul 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc2mdk
-Fix BuildRequires

* Sun Jul 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc1mdk
- First Mandriva Linux release

